Bug 1003896 - ISE on create new/edit repository page
ISE on create new/edit repository page
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Pavel Studeník
Depends On:
Blocks: sat570-lowbug
  Show dependency treegraph
Reported: 2013-09-03 09:00 EDT by Jan Dobes
Modified: 2015-01-13 04:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-01-13 04:54:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Dobes 2013-09-03 09:00:53 EDT
Description of problem:
When user doesn't enter Repository Label, Repository URL or both and submits form, ISE appears.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to Channels, Manage Software Channels, Manage Repositories, Create Repository.
2. Leave some of mandatory field blank.
3. Submit form.

Actual results:
ISE + error message.

Expected results:
Error message + show form again.
Comment 1 Tomas Lestach 2013-09-03 10:09:17 EDT
Jan, if you're getting an ISE, please make sure you include the appropriate tomcat traceback into the BZ (as attachment).
Comment 2 Tomas Lestach 2013-09-03 10:13:28 EDT
I see in the catalina.log file following:

Caused by: javax.servlet.jsp.JspException: Cannot find bean under name sslcryptokeys
	at org.apache.struts.taglib.html.OptionsTag.getIterator(OptionsTag.java:377)
	at org.apache.struts.taglib.html.OptionsTag.doEndTag(OptionsTag.java:188)
	at org.apache.jsp.WEB_002dINF.pages.channel.manage.repo.repodetails_jsp._jspx_meth_html_005foptions_005f0(Unknown Source)
Comment 4 Tomas Lestach 2013-09-05 09:41:21 EDT
spacewalk.git: e6b3c7ca2035ee65f57b5fbd9cc8f94a63280d3e
Comment 5 Pavel Studeník 2014-11-10 10:54:15 EST
Verified with spacewalk-java-2.3.8-52.el6sat.noarch
Comment 6 Clifford Perry 2015-01-13 04:54:45 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 


Note You need to log in before you can comment on or make changes to this bug.